com.streambase.liveview.client

## Enum LiveViewQueryLanguage

- java.lang.Object
- - java.lang.Enum<LiveViewQueryLanguage>
  - - com.streambase.liveview.client.LiveViewQueryLanguage

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewQueryLanguage>

      public enum LiveViewQueryLanguage
      extends Enum<LiveViewQueryLanguage>

  Enumerates the query languages that are supported by a table
  Since:
    1.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_SPACES` The Active Spaces query language, which is a subset of SQL or LiveView.
    `LIVEVIEW` The default LiveView query language, using the StreamBase expression language and some LiveView specific operators.
    `OTHER` This is some language other than the basic LiveView language or SQL.
    `SQL` In general, this refers to standard SQL.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiveViewQueryLanguage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewQueryLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIVEVIEW

          public static final LiveViewQueryLanguage LIVEVIEW

      The default LiveView query language, using the StreamBase expression language and some LiveView specific operators. Refer to the documentation for complete details.

    - #### SQL

          public static final LiveViewQueryLanguage SQL

      In general, this refers to standard SQL. Specifically in the context of LiveView, this means a SQL compatible with the target SQL database being queried. LiveView will do a simple pass-through to the underlying database, with no translation of SQL variants.

    - #### ACTIVE_SPACES

          public static final LiveViewQueryLanguage ACTIVE_SPACES

      The Active Spaces query language, which is a subset of SQL or LiveView.
      Since:
        LiveView 1.6

    - #### OTHER

          public static final LiveViewQueryLanguage OTHER

      This is some language other than the basic LiveView language or SQL. There will be no auto-complete help in the Desktop for the user when using this language.
      Since:
        LiveView 1.6

  - ### Method Detail

    - #### values

          public static LiveViewQueryLanguage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewQueryLanguage c : LiveViewQueryLanguage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewQueryLanguage valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.